
このファイルは、FreeWnn Project がメンテナンスを担当する前の FreeWnn 
の変更記録である。各ソースファイルの冒頭に分散して書かれていたものを一
つにまとめた。

                                        2000年2月6日   古川竜雄


1999年3月20日の変更 ===========================================================

Wnn/jserver/de.c                片山＠ＰＦＵ <kate@pfu.co.jp>
        error1 の引数訂正（stderr が余分）。
        関数 puts_n_cur(p,n) の追加。

Wnn/jserver/readfile.c          片山＠ＰＦＵ <kate@pfu.co.jp>
        辞書のバイトスワップを行なうタイミングの変更。
        メモリーの解放忘れ。
        ポインターの初期化忘れ。

Wnn/jserver/de_header.h         片山＠ＰＦＵ <kate@pfu.co.jp>
        関数 puts_n_cur(p,n) の追加。

Wnn/jserver/do_dic_no.c         片山＠ＰＦＵ <kate@pfu.co.jp>
        暗号化されたパスワードが 16文字の時、
        異常に長い文字列がクライアントに送られるバグの修正。

Wnn/jlib/js.c                   片山＠ＰＦＵ <kate@pfu.co.jp>
        サーバーが受信バッファーをクリアーするのを待つ。
        これがないと、書き込みエラーを検出した時クライアントがハングする。

Wnn/jserver/dispatch.c          片山＠ＰＦＵ <kate@pfu.co.jp>
        デバッグ情報が正しく表示されない（K&R C と ANSI C の非互換）。


Wnn/jutil/wnnstat.c             片山＠ＰＦＵ <kate@pfu.co.jp>
        スペルミス（JAPANSE）。
        ISO-2022-JP-2 エンコーディングでの韓国語のサポート。

Wnn/uum/wnnrc_op.c              片山＠ＰＦＵ <kate@pfu.co.jp>
        uumrc の sticky の構文解析ミスの訂正。
        malloc(3) の引数の訂正（1 バイト分少ない足りない）。

Wnn/uum/jhlp.c                  片山＠ＰＦＵ <kate@pfu.co.jp>
        ESC 後の待ち時間の変更。
        疑似端末の名称追加。

Wnn/jd/libwnn.msg               片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)
        句点を追加。
        行末の空白を削除。

Wnn/jd/serverdefs               片山＠ＰＦＵ <kate@pfu.co.jp>
        taiwanese（zh_TW の alias）と kserver の定義を追加。

Wnn/etc/pwd.c                   片山＠ＰＦＵ <kate@pfu.co.jp>
        crypt が、（MD5 のように）salt が NUL ターミネイトされていること
        を要求しているシステムへの対応。

Wnn/etc/py_table.c              片山＠ＰＦＵ <kate@pfu.co.jp>
        Cei、Chua を有効な中国語音節に追加

Wnn/etc/xutoj.c                 片山＠ＰＦＵ <kate@pfu.co.jp>
        英数字指示のエスケープシーケンスを ESC ( B（ASCII）にする。

Wnn/etc/zy_table.c              片山＠ＰＦＵ <kate@pfu.co.jp>
        Cei、Chua を有効な中国語音節に追加。

cWnn/td/libwnn.msg              片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)
        品詞データファイル名の訂正（hinsi.data → cixing.data）。
        行末の空白を削除。

cWnn/td/cixing.data             片山＠ＰＦＵ <kate@pfu.co.jp>
        品詞名の訂正（百家性 → 百家姓）

cWnn/cd/cixing.data             片山＠ＰＦＵ <kate@pfu.co.jp>
        品詞名の訂正（百家性 → 百家姓）

cWnn/td/uum.msg                 片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

cWnn/td/wnnstat.msg             片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

Wnn/jd/uum.msg                  片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

cWnn/cd/libwnn.msg              片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)
        Wnn/jd/libwnn.msg の１番目の変更に同じ。
        品詞データファイル名の訂正（hinsi.data → cixing.data）。
        行末の空白を削除。

cWnn/cd/uum.msg                 片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

cWnn/cd/wnnstat.msg             片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

kWnn/kd/wnnstat.msg             片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

kWnn/kd/uum.msg                 片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

kWnn/kd/libwnn.msg              片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

Wnn/ld/libwnn.msg               片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

Wnn/jd/wnnstat.msg              片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

Wnn/ld/uum.msg                  片山＠ＰＦＵ <kate@pfu.co.jp>
        .msg ファイルに空行があると、msg_open で死ぬ。FreeWnn で enbug :-)

cWnn/cd/rk_z/2Z_ZhuYin          片山＠ＰＦＵ <kate@pfu.co.jp>
        有効な音節 Cei を追加。
        無効な音節 Nia を削除。

cWnn/cd/rk_z/2Z_ZhuYin_X        片山＠ＰＦＵ <kate@pfu.co.jp>
        有効な音節 Cei を追加。
        無効な音節 Nia を削除。

cWnn/cd/rk_p/2P_ErPin           片山＠ＰＦＵ <kate@pfu.co.jp>
        無効な音節 Wao を削除。
        有効な音節 Be を追加。
        有効な音節 Den を追加。
        有効な音節 Lo を削除（Luo とキーが衝突するため）。
        有効な音節 Chua を追加。
        有効な音節 Eng を追加。
        有効な音節 Hm を追加。

cWnn/cd/rk_p/2P_ErPin_3K        片山＠ＰＦＵ <kate@pfu.co.jp>
        無効な音節 Wao を削除。
        有効な音節 Be を追加。
        有効な音節 Den を追加。
        有効な音節 Lo を削除（Luo とキーが衝突するため）。
        有効な音節 Chua を追加。
        有効な音節 Eng を追加。
        有効な音節 Hm を追加。

cWnn/cd/rk_p/2P_ErPin_P         片山＠ＰＦＵ <kate@pfu.co.jp>
        無効な音節 Wao を削除。
        有効な音節 Be を追加。
        有効な音節 Den を追加。
        有効な音節 Lo を削除（Luo とキーが衝突するため）。
        有効な音節 Chua を追加。
        有効な音節 Eng を追加。
        有効な音節 Hm を追加。

cWnn/cd/rk_p/2P_ErPin_P3K       片山＠ＰＦＵ <kate@pfu.co.jp>
        無効な音節 Wao を削除。
        有効な音節 Be を追加。
        有効な音節 Den を追加。
        有効な音節 Lo を削除（Luo とキーが衝突するため）。
        有効な音節 Chua を追加。
        有効な音節 Eng を追加。
        有効な音節 Hm を追加。

cWnn/cd/rk_p/2P_QuanPin         片山＠ＰＦＵ <kate@pfu.co.jp>
        無効な音節 Wao を削除。
        有効な音節 Be を追加。
        有効な音節 Den を追加。
        有効な音節 Chua を追加して、Chua、Shua、Zhua を統合。
        有効な音節 Eng を追加。
        有効な音節 Hm を追加。

cWnn/cd/rk/2P_QuanPin           片山＠ＰＦＵ <kate@pfu.co.jp>
        無効な音節 Wao を削除。
        有効な音節 Den を追加。
        有効な音節 Chua を追加して、Chua、Shua、Zhua を統合。
        有効な音節 Eng を追加。
        有効な音節 Hm を追加。

cWnn/cd/rk/2Z_ZhuYin            片山＠ＰＦＵ <kate@pfu.co.jp>
        有効な音節 Cei を追加。
        無効な音節 Nia を削除。



kWnn/kd/rk/2C_HANGUL.KEY        片山＠ＰＦＵ <kate@pfu.co.jp>
        ハングル変換表の訂正。



1999年3月22日の変更 ===========================================================

/Wnn/jserver/fzk.c      Akitoshi MORISHIMA <ohm@rcac.tdi.co.jp>
        MkLinux が共有ライブラリ化した時に顕在化したバグ修正


 
1999年4月02日の変更 ===========================================================

Wnn/uum/jhlp.c          渡邊剛 (Watanabe,Go) <go@isoternet.org/go@dsl.gr.jp>
        utem の変更を止める。

Wnn/jd/wnnenvrc.omr       よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

Wnn/jd/wnnenvrc.rem       よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

Wnn/jd/wnnenvrc.rev       よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

Wnn/jd/wnnenvrc_R.omr     よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

Wnn/jd/wnnenvrc_R.rem     よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

Wnn/jd/wnnenvrc_R.rev     よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

Wnn/jd/jserverrc          よしだともこ <tomo@tomo.gr.jp>
        パラメーターを変更

 

1999年4月06日の変更 ===========================================================

Wnn/jserver/de.c        Hidekazu Kuroki - 黒木 秀和(hidekazu@cs.titech.ac.jp)
        #include <sys/param.h> の追加。
        stderr を /dev/null にする。

Wnn/jlib/js.c           Hidekazu Kuroki - 黒木 秀和(hidekazu@cs.titech.ac.jp)
        connect(2) の引数変更。



1999年4月19日の変更 ===========================================================


Wnn/jutil/wnnstat.c     TAOKA Satoshi - 田岡 智志<taoka@infonets.hiroshima-u.ac.jp>
        コマンド引数の修正。
        usage メッセージの訂正。

Wnn/uum/jhlp.c          TAOKA Satoshi - 田岡 智志<taoka@infonets.hiroshima-u.ac.jp>
        #include <sys/param.h> の追加。
        wait3(2) の第１引数を cast する。

Wnn/jlib.V3/jlib.h      TAOKA Satoshi - 田岡 智志<taoka@infonets.hiroshima-u.ac.jp>
        #include <setjmp.h> の削除。
        #define wchar_t の追加。

kWnn/kd/uumrc           TAOKA Satoshi - 田岡 智志<taoka@infonets.hiroshima-u.ac.jp>
        システム辞書のパスの訂正。


1999年5月14日の変更 ===========================================================

Wnn/jlib/js.c           Toshiaki Nakanisi <nakanisi@rd.kyoto.omronsoft.co.jp>
        connect() の引数のキャストを caddr_t から struct sockaddr
        に変更( RedHat Linux などでコンパイルエラーになるため)。
